TransactionInfo (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.jms.management.server, class: TransactionInfo

Package com.sun.messaging.jms.management.server

# Class TransactionInfo

java.lang.Object
com.sun.messaging.jms.management.server.TransactionInfo

All Implemented Interfaces:
  `Serializable`

public class TransactionInfo extends Object implements Serializable
This class contains constants/names for fields in the CompositeData that is returned by the operations of the Transaction Manager Monitor MBean.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLIENT_ID`
  Client ID
  `static final String`
  `CONNECTION_STRING`
  Object name of Connection
  `static final String`
  `CREATION_TIME`
  Creation time
  `static final String`
  `NUM_ACKS`
  Number of acknowledgements
  `static final String`
  `NUM_MSGS`
  Number of messages
  `static final String`
  `STATE`
  Transaction state.
  `static final String`
  `STATE_LABEL`
  String representation of transaction state.
  `static final String`
  `TRANSACTION_ID`
  Transaction ID
  `static final String`
  `USER`
  User name
  `static final String`
  `XID`
  XID

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLIENT_ID

    public static final String CLIENT_ID
    Client ID
    See Also:
      - Constant Field Values

  - ### CONNECTION_STRING

    public static final String CONNECTION_STRING
    Object name of Connection
    See Also:
      - Constant Field Values

  - ### CREATION_TIME

    public static final String CREATION_TIME
    Creation time
    See Also:
      - Constant Field Values

  - ### NUM_ACKS

    public static final String NUM_ACKS
    Number of acknowledgements
    See Also:
      - Constant Field Values

  - ### NUM_MSGS

    public static final String NUM_MSGS
    Number of messages
    See Also:
      - Constant Field Values

  - ### STATE

    public static final String STATE
    Transaction state.
    See Also:
      - Constant Field Values

  - ### STATE_LABEL

    public static final String STATE_LABEL
    String representation of transaction state.
    See Also:
      - Constant Field Values

  - ### TRANSACTION_ID

    public static final String TRANSACTION_ID
    Transaction ID
    See Also:
      - Constant Field Values

  - ### USER

    public static final String USER
    User name
    See Also:
      - Constant Field Values

  - ### XID

    public static final String XID
    XID
    See Also:
      - Constant Field Values